CVE-2007-5825

NameCVE-2007-5825
DescriptionFormat string vulnerability in the ws_addarg function in webserver.c in mt-dappd in Firefly Media Server 0.2.4 and earlier allows remote attackers to execute arbitrary code via a stats method action to /xml-rpc with format string specifiers in the (1) username or (2) password portion of base64-encoded data on the "Authorization: Basic" HTTP header line.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1597-1
NVD severityhigh (attack range: remote)
Debian Bugs459961
Debian/oldstablenot vulnerable.
Debian/stablenot known to be vulnerable.
Debian/testingnot known to be vulnerable.
Debian/unstablenot known to be vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mt-daapd (PTS)squeeze0.9~r1696.dfsg-16fixed

The information above is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mt-daapdsource(unstable)0.9~r1696-1high459961
mt-daapdsourceetch0.2.4+r1376-1.1+etch1highDSA-1597-1

Search for package or bug name: Reporting problems